interface PrepDataConfiguration {
    name: string;
    onUploadInitiated?: (uploadId: string) => void;
    onChunkUploaded?: (uploadedSize: number, totalSize: number) => void;
}
interface DealDataResult {
    pieceSize: number;
    size: number;
    pieceCid: string;
    dataCid: string;
    carLink: string;
    carName: string;
    uploadId: string;
}

interface SpheronClientConfiguration {
    token: string;
}
declare class SpheronDealClient {
    private readonly configuration;
    private readonly generateCarCommandPath;
    constructor(configuration: SpheronClientConfiguration);
    getFvmMetadata(filePath: string, configuration: PrepDataConfiguration): Promise<DealDataResult>;
    private generateCarFile;
    private generateUniqueDirectory;
    private validateFilePath;
    private validateConfiguration;
}

export { SpheronClientConfiguration, SpheronDealClient, SpheronDealClient as default };
